<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Форум';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Если гость,то...-----//
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}


##############################
########## Главная ###########
##############################
$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act) {
default:

echo '<div class="title">'.$title.'</div>';

require_once ('menu.php');

$forum_r = mysql_query("SELECT * FROM `forum_razdel` ORDER BY `id` DESC");


while($a = mysql_fetch_assoc($forum_r))
{

echo '<div class="menu">
<img src="/images/category.png"> 
<a href="/forum/razdel'.$a['id'].'">'.$a['name'].'</a> ['.mysql_result(mysql_query('select count(`id`) from `forum_kat` where `razdel` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `forum_tema` where `razdel` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `forum_post` where `razdel` = "'.$a['id'].'"'),0).']</br>';

if($user['level'] >= 3) echo ' [<a href="/forum/del_razdel'.$a['id'].'">удалить</a>|<a href="/forum/red_razdel'.$a['id'].'">ред</a>]';
echo '</div>';
echo '<div class="podmenu">';
$forum_pr = mysql_query('select * from `forum_kat` where `razdel` = "'.$a['id'].'" order by `id`');
while($forum_pr2 = mysql_fetch_array($forum_pr)){
echo (empty($forum_pr2['icon'])?'<img src="/images/category.png"> ':'<img src="/files/katicon/'.$forum_pr2['icon'].'"> ');
echo '<a href="/forum/kat'.$forum_pr2['id'].'">'.$forum_pr2['name'].'</a></br>';

}
echo '</div>';
}

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razdel` "),0);
if($count < 1) echo '<div class="podmenu"><b><center>Разделов пока что нет!</center></b></div>';

require_once ('footers.php');

if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/forum/nr">Новый раздел</a></div>';

break;
##############################
### Редактирование раздела ###
##############################
case 'red_razdel':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/">'.$forum_r['name'].'</a> | Редактирование</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis,'UTF-8') < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание раздела!';
if(mb_strlen($name,'UTF-8') < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название раздела!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `forum_razdel` SET `name` = '".$name."',`opis` = '".$opis."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST"> 
Имя раздела:<br /> <input type="text" name="name" value="'.$forum_r['name'].'"/><br />
Описание:<br /><textarea name="opis">'.$forum_r['opis'].'</textarea><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="podmenu">
</div>
<div class="links">» <a href="'.$HOME.'/forum/">Назад в разделы</a></div>';

break;
##############################
## Редактирование категории ##
##############################
case 'red_kat':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого подраздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_k['name'].'</a> | Редактирование категории</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$maxsize = 2; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла
/* Максимальный размер 1мб */
if ($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b>Максимальный размер файла '.$maxsize.'мб!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'png', 'gif'); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 
  
/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b>К загрузке разрешены файлы форматом PNG, GIF!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/katicon/".$files."");
if(mb_strlen($name,'UTF-8') < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название категории!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `forum_kat` SET `name` = '".$name."', `icon` = '".$files."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="post" enctype="multipart/form-data"> 
Название категории:<br /> <input type="text" name="name" value="'.$forum_k['name'].'"/><br />
Выберите иконку:<br><input type="file" name="filename"/></br>
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">Назад в подразделы</a></div>';


break;

case 'red_tem':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 4) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_k['name'].'</a> | Редактирование категории</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);

if(mb_strlen($name,'UTF-8') < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название темы!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `forum_tema` SET `name` = '".$name."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_k['kat']."',`text` = '[b]Название темы было изменено на: ".$name."[/b]',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");

echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}

echo '
<div class="podmenu"><form action="" method="POST"> 
Название название темы:<br /> <input type="text" name="name" value="'.$forum_k['name'].'"/><br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/forum/tema'.$forum_k['id'].'">Назад в тему</a></div>';


break;
##############################
##### Удаление категории #####
##############################
case 'del_kat':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));

if($forum_k == 0) {
echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Ошибка</div><div class="podmenu"><center><b>Такого подраздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['ok'])) {
mysql_query("DELETE FROM `forum_kat` where `id` = '".$id."'");
mysql_query("DELETE FROM `forum_tema` where `kat` = '".$id."'");
mysql_query("DELETE FROM `forum_post` where `kat` = '".$id."'");
header('Location: '.$HOME.'/forum/razdel'.$forum_k['razdel'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Удаление подраздела</div>
<div class="podmenu">Вы действительно хотите удалить этот подраздел?<br /><a href="'.$HOME.'/forum/del_kat'.$id.'?ok">Да</a></div>';

break;
##############################
###### Удаление раздела ######
##############################
case 'del_razdel':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['ok'])) {
mysql_query("DELETE FROM `forum_razdel` where `id` = '".$id."'");
mysql_query("DELETE FROM `forum_kat` where `razdel` = '".$id."'");
mysql_query("DELETE FROM `forum_tema` where `razdel` = '".$id."'");
mysql_query("DELETE FROM `forum_post` where `razdel` = '".$id."'");
header('Location: '.$HOME.'/forum');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Удаление раздела</div>
<div class="podmenu">Вы действительно хотите удалить этот раздел?<br /><a href="'.$HOME.'/forum/del_razdel'.$id.'?ok">Да</a></div>';

break;
##############################
######## Новый раздел ########
##############################
case 'nr':

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | Новый раздел</div>';

require_once ('menu.php');

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

if(mb_strlen($opis,'UTF-8') < 3) $err= 'Минимум для ввода 3 символа!';
if(empty($opis)) $err= 'Введите описание раздела!';
if(mb_strlen($name,'UTF-8') < 3) $err= 'Минимум для ввода 3 символа!';
if(empty($name)) $err= 'Введите название раздела!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `forum_razdel` SET `name` = '".$name."',`opis` = '".$opis."'");
echo '<div class="podmenu"><center><b>Раздел успешно создан!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST"> 
Имя раздела:<br /> <input type="text" name="name" value=""/><br />
Описание:<br /><textarea name="opis"></textarea><br />
<input type="submit" name="submit" value="Создать" />
</form></div>
<div class="links">» <a href="'.$HOME.'/forum/">Назад в форум</a></div>';

break;
##############################
######## Вывод раздела #######
##############################
case 'razdel':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | '.$forum_r['name'].'</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_kat` WHERE `razdel` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_k = mysql_query("SELECT * FROM `forum_kat` WHERE `razdel` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($forum_k))
{
echo '<div class="podmenu"> <img src="/images/category.png"> <a href="/forum/kat'.$a['id'].'">'.$a['name'].'</a> 
['.mysql_result(mysql_query('select count(`id`) from `forum_tema` where `kat` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `forum_post` where `kat` = "'.$a['id'].'"'),0).']';
if($user['level'] >= 3) echo ' [<a href="/forum/del_kat'.$a['id'].'">удалить</a>|<a href="/forum/red_kat'.$a['id'].'">ред</a>]';
echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>В данном разделе категорий пока нет!</center></b></div>';
if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/forum/nk'.$id.'">Новый подраздел</a></div>';

require_once ('footers.php');

if($k_page>1) echo str(''.$HOME.'/forum/razdel'.$id.'?',$k_page,$page); // Вывод страниц

break;
##############################
####### Вывод категории ######
##############################
case 'kat':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | '.$forum_k['name'].'</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `kat` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_t = mysql_query("SELECT * FROM `forum_tema` WHERE `kat` = '".$id."' ORDER BY `id` and `status` = '2' DESC LIMIT $start, $max");

echo '<div class="podmenu"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/forum/nt'.$id.'">Новая тема</a></div>';

while($a = mysql_fetch_assoc($forum_t))
{

if($a['status'] == 0){
$icon = 'tem';
}elseif($a['status'] == 1){
$icon = 'close';
}elseif($a['status'] == 2){
$icon = 'top';
}


echo '<div class="podmenu">
<img src="/images/'.$icon.'.png" alt="*">  <a href="/forum/tema'.$a['id'].'">'.$a['name'].'</a> 
('.mysql_result(mysql_query('select count(`id`) from `forum_post` where `tema` = "'.$a['id'].'" and `kat` = "'.$id.'" '),0).') <a href="/forum/tema'.$a['id'].'?selection=top">>></a><br />
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>В данном подразделе тем нет!</center></b></div>';
if($k_page > 1) echo str(''.$HOME.'/forum/kat'.$id.'?',$k_page,$page); // Вывод страниц

require_once ('footers.php');

break;
##############################
######### Новая тема #########
##############################
case 'nt':

$id = abs(intval($_GET['id']));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_k['razdel']."'"));

if($forum_k == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой категории не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | <a href="'.$HOME.'/forum/kat'.$forum_k['id'].'">'.$forum_k['name'].'</a> | Новая тема</div>';

require_once ('menu.php');

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$text = strong($_POST['msg']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Вы не ввели название темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($text)) {
echo '<div class="podmenu"><center><b>Вы не ввели текст темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text,'UTF-8') < 4) {
echo '<div class="podmenu"><center><b>Короткий текст темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$tema_spam = mysql_fetch_array(mysql_query('select * from `forum_tema` where `us` = "'.$user['id'].'" and `name` = "'.$name.'"'));
if($tema_spam != 0) {
echo '<div class="podmenu"><center><b>Вы такую тему уже создавали!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_tema` WHERE `us`='".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){  
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_tema` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_tema']) {
echo '<div class="podmenu"><center><b>Создавать тему можно раз в '.$forum_antispam['forum_tema'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}


mysql_query("INSERT INTO `forum_tema` SET `name` = '".$name."',`razdel` = '".$forum_r['id']."',`kat` = '".$id."',`text` = '".$text."',`status` = '0',`us` = '".$user['id']."',`time` = '".time()."',`up` = '".time()."'");
$sql = mysql_insert_id();
##добавляем юзеру стронгов и рейтинг
$settings = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$id."',`text` = '".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$sql."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$sql.'');
exit();
}

echo '<div class="podmenu"><form action="" name="message" method="POST"> 
Название темы:<br /> <input type="text" name="name" value=""/><br />Текст:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg"></textarea><br />
<input type="submit" name="submit" value="Создать" />
</form></div>';

require_once ('footers.php');

break;
##############################
####### Новая категория ######
##############################
case 'nk':

$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 3) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | Новый подраздел</div>';

require_once ('menu.php');

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);

if(mb_strlen($name,'UTF-8') < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название подраздела!';

if($err) {
echo err($err);
require_once ('../system/footer.php'); exit;
}

mysql_query("INSERT INTO `forum_kat` SET `razdel` = '".$id."',`name` = '".$name."'");
echo '<div class="podmenu"><center><b>Подраздел успешно создан!</b></center></div>';
}

echo '<div class="podmenu"><form action="" method="POST"> 
Название:<br /> <input type="text" name="name" value=""/><br />
<input type="submit" name="submit" value="Создать" />
</form></div>

<div class="links">» <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">Назад в раздел</a></div>';

break;


##############################
######### Вывод темы #########
##############################
case 'tema':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));
$forum_zaklad = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_zaklad` WHERE `tema` = '".$id."' and `us` = '".$user['id']."' "));

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/razdel'.$forum_r['id'].'">'.$forum_r['name'].'</a> | <a href="'.$HOME.'/forum/kat'.$forum_k['id'].'">'.$forum_k['name'].'</a> | '.$forum_t['name'].'</div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['msg']);

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст сообщения!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text,'UTF-8') < 3) {
echo '<div class="podmenu"><center><b>Минимум для ввода 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_post` WHERE `us` = '".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){  
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_post` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_post']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$forum_antispam['forum_post'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("UPDATE `forum_tema` SET `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_k['id']."',`text` = '".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
##добавляем юзеру стронгов и рейтинг
$settings = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));
##оповещание
if($user['id'] != $forum_t['us']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$forum_t['us']."', `kto` = '".$user['id']."', `text` = 'написал в вашей [url=".$HOME."/forum/tema".$id."?selection=top]теме[/url]'");
}
header('Location: /forum/tema'.$id.'?selection=top');
exit();
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE `tema` = '".$id."' and `kat` = '".$forum_t['kat']."' and `razdel` = '".$forum_t['razdel']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$k_post = $start+1;
$post = mysql_query("SELECT * FROM `forum_post` WHERE  `tema`='".$id."' ORDER BY `id` LIMIT $start,$max");

echo '<div class="podmenu"><a href="/forum/tema'.$id.'?selection=top">Обновить</a> ';

if($forum_zaklad == 0) {
echo ' | <a href="/forum/zaklad'.$id.'">В закладки</a>';
} else {
echo ' | <a href="/forum/zaklad'.$id.'">Удалить из закладок</a>';
}

if( $forum_t['status'] == 0 or $forum_t['status'] == 2 ) {
if($user['level'] >= 1) echo ' | <a href="/forum/tema_close'.$id.'">Закрыть</a>';
} 
elseif ($forum_t['status'] == 1)

{
if($user['level'] >= 1) echo ' | <a href="/forum/tema_close'.$id.'">Открыть</a>';
}

if($user['level'] >= 1) echo ' | <a href="/forum/index.php?act=move&id='.$id.'">Переместить</a>';


if($forum_t['status'] != 2) {
if($user['level'] >= 2) echo ' | <a href="/forum/tema_top'.$id.'">Закрепить</a>';
} else {
if($user['level'] >= 2) echo ' | <a href="/forum/tema_top'.$id.'">Открепить</a>';
}


if($user['level'] >= 2) echo ' | <a href="/forum/tema_del'.$id.'">Удалить</a>';

echo '</div>';

if($forum_t['status'] == 1) {
echo '<div class="podmenu">Тема закрыта для обсуждения!</div>';
}
$reit_a = mysql_fetch_array(mysql_query('select * from `post_reit` where `post` = '.intval($a['id']).' and `kto` = "'.$user['id'].'"'));

$reit = mysql_result(mysql_query('select count(`id`) from `post_reit` where `post`= '.intval($a['id']).' and `r` = "1"'),0)
-
mysql_result(mysql_query('select count(`id`) from `post_reit` where  `post`= '.intval($a['id']).' and `r` = "2"'),0);


while($a = mysql_fetch_assoc($post))
{
echo '<div class="links">'.$k_post++.'. '.nick($a['us']).'  ['.vremja($a['time']).']';
if($reit_a == 0 and $user['id'] != $a['us']) {

echo ' <small>[<a href="'.$HOME.'/forum/plus_p'.intval($a['id']).'">+1</a>] [<a href="'.$HOME.'/forum/minus_p'.intval($a['id']).'">-1</a>]</small> / <small>[<font color="green"><b>+'.mysql_result(mysql_query("SELECT COUNT(id) FROM `post_reit` WHERE `r` = '1' and `post` = '".$a['id']."'"),0).'</b></font>] [<font color="red"><b>-'.mysql_result(mysql_query("SELECT COUNT(id) FROM `post_reit` WHERE `r` = '2' and `post` = '".$a['id']."' "),0).'</b></font>]</small></br>';

} else {

echo ' <small>[<font color="green"><b>+'.mysql_result(mysql_query("SELECT COUNT(id) FROM `post_reit` WHERE `r` = '1' and `post` = '".$a['id']."'"),0).'</b></font>] [<font color="red"><b>-'.mysql_result(mysql_query("SELECT COUNT(id) FROM `post_reit` WHERE `r` = '2' and `post` = '".$a['id']."' "),0).'</b></font>]</small></br>';

}
/*** Действия ***/
if($user['level'] >= 2) echo ' [<a href="/forum/post_del'.$a['id'].'">уд</a>] ';
if($user['id'] == $a['us'] or $user['level'] >= 1) echo ' [<a href="/forum/post_red'.$a['id'].'">ред</a>] ';
if($user['id'] != $a['us']) echo ' [<a href="/forum/post_otvet'.$a['id'].'">отв</a>] ';
if($user['id'] != $a['us']) echo ' [<a href="/forum/post_citata'.$a['id'].'">цит</a>] ';
/*** Действия ***/

echo '</div> <div class="podmenu">';

if(!$a['citata'] == NULL) echo 'Цитата:<br /><div class="cit">'.nick($a['citata_us']).': '.nl2br(smile(bb($a['citata']))).'</div>';

echo ''.nl2br(smile(bb($a['text']))).'</div>';


$count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `forum_file` WHERE `post_id` = '".$a['id']."'"),0);
if($count) {
$load_s = mysql_query("SELECT * FROM `forum_file` WHERE `post_id`='".$a['id']."'");
echo '<div class="podmenu"><b>Прикрепленные файлы:</b><br/>';
while($a = mysql_fetch_array($load_s)){
echo '<a href="../files/forum/'.$a['name_file'].'">'.$a['name_file'].'</a> ['.fsize('../files/forum/'.$a['name_file']).']<br/>';
}
echo '</div>';
}


}

if($forum_t['status'] != 1) {
echo '<div class="podmenu"><form action="" name="message" method="POST"> ';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg" placeholder="Введите сообщение..."></textarea><br />
<input type="submit" name="submit" value="Написать" />
</form></div>';
}

$gde = '/forum/tema'.$id.'';

echo '<div class="podmenu"><b>Модераторы:</b> ';

$mod = mysql_query("SELECT * FROM `users` WHERE `gde` LIKE '%".$gde."%' and `level` >= '1' and `viz` > '".(time()-60)."'");
$mod_sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` where `gde` like '%".$gde."%' and `level` >= '1' and `viz` > '".(time()-60)."' "),0);
while($mo = mysql_fetch_assoc($mod))
{
echo ''.nick($mo['id']).', ';
}

if($mod_sql == 0) echo 'модераторов в данной теме нет!';

echo '</div>';

echo '<div class="podmenu">
<a href="'.$HOME.'/forum/rules.php"><b>Правила</b></a> | 
<a href="'.$HOME.'/smile/">Смайлы</a> | <a href="'.$HOME.'/bb.php">BB коды</a> | 
<a href="'.$HOME.'/forum/tema'.$id.'/who">Кто в теме</a> ('.mysql_result(mysql_query('select count(`id`) from `users` where `gde` LIKE "%'.$gde.'%"  and `viz` > "'.(time()-60).'"'),0).')
</div>';

if ($k_page>1) echo str(''.$HOME.'/forum/tema'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'zaklad':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_zaklad = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_zaklad` WHERE `tema` = '".$id."' and `us` = '".$user['id']."' "));

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_zaklad == 0) {
mysql_query("INSERT INTO `forum_zaklad` SET `tema` = '".$id."',`us` = '".$user['id']."' ");
header('Location: '.$HOME.'/forum/tema'.$id.'?selection=top');
exit();
} else {
mysql_query("DELETE FROM `forum_zaklad` where `id` = '".$forum_zaklad['id']."'");
header('Location: '.$HOME.'/forum/tema'.$id.'?selection=top');
exit();
}


break;

case 'tema_top':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));

if($user['level'] < 2) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 0) {
mysql_query("UPDATE `forum_tema` SET `status` = '2', `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = 'Тема закреплена :)',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$id.'?selection=top');
exit();
} else {
mysql_query("UPDATE `forum_tema` SET `status` = '0', `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = 'Тема откреплена :)',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$id.'?selection=top');
exit();
}


break;

case 'tema_close':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));

if($user['id'] != $forum_t['us'] && $user['level'] < 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}


if($forum_t['status'] == 1) {
mysql_query("UPDATE `forum_tema` SET `status` = '0', `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = 'Тема открыта для обсуждения :)',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$id.'?selection=top');
exit();
}


if(isset($_REQUEST['submit'])) {
$prichina = strong($_POST['msg']);
if(mb_strlen($prichina,'UTF-8') < 3) {
echo '<div class="podmenu"><center><b>Минимум для ввода 10 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
if(empty($prichina)) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Вы не указали причину!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
 mysql_query("UPDATE `forum_tema` SET `status` = '1', `up` = '".time()."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = 'Тема закрыта для обсуждения :) По причине: ".$prichina."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$forum_r['id']."'");
header('Location: /forum/tema'.$id.'?selection=top');
exit();
}
echo '<div class="title">Форум | Закрытие темы: '.$forum_t['name'].'</div><div class="podmenu"><center><b>Закрыть тему?</b></center></div>';
 
echo '<div class="podmenu"><form action="" name="message" method="POST"> ';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '*Причина закрытия:<br /><textarea name="msg"></textarea><br />
<input type="submit" name="submit" value="Закрыть" />
</form></div>';

break;
case 'tema_del':

$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));

if($user['level'] < 2) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("DELETE FROM `forum_tema` where `id` = '".$id."'");
mysql_query("DELETE FROM `forum_post` where `tema` = '".$id."'");
header('Location: '.$HOME.'/forum/razdel'.$forum_k['razdel'].'');
exit();

break;
case 'post_del':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта или ее не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] < 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("DELETE FROM `forum_post` where `id` = '".$id."'");
header('Location: '.$HOME.'/forum/tema'.$forum_p['tema'].'?selection=top');
exit();

break;
case 'post_otvet':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$forum_p['us']."'"));
$troll = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$user['id']."'"));
$tr = mysql_fetch_assoc(mysql_query("SELECT * FROM `troller`"));
$text_troller = mysql_fetch_assoc(mysql_query("SELECT * FROM `text_troller` ORDER BY RAND() LIMIT 1"));
if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['id'] == $forum_p['us']) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Самому себе отвечать нельзя!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/tema'.$forum_t['id'].'">Тема '.$forum_t['name'].'</a> </div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['msg']);



if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст сообщения!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text,'UTF-8') < 3) {
echo '<div class="podmenu"><center><b>Минимум для ввода 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_post` WHERE `us`='".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){  
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_post` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_post']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$forum_antispam['forum_post'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

if($user['form_file'] == 1) {
$maxsize = 25; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

if(@file_exists($_FILES['filename']['tmp_name'])) {
    
if($size > (1048576 * $maxsize)) {
echo err($title, 'Максимальный размер файла '.$maxsize.'мб!');
require_once ('../system/footer.php'); exit;
}

$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp', 'zip', 'rar', 'mp4','mp3','amr','3gp','avi','flv', 'jar', 'jad', 'apk', 'sis', 'sisx', 'ipa' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 

if(!in_array($upfiletype,$filetype)) {
echo err($title, 'Такой формат запрещено загружать!');
require_once ('../system/footer.php'); exit;
}

$files = $_SERVER['HTTP_HOST'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/forum/".$files.""); 
mysql_query("INSERT INTO `forum_file` SET `post_id` = '0', `name_file` = '".$files."'");
$f_id = mysql_insert_id();
}
}



mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = '[b]".$us['login'].",[/b] ".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$forum_t['id']."',`razdel` = '".$forum_t['razdel']."'");
if($forum_p['us'] == $tr['us'] && $forum_t['id'] == $tr['tema_id']) {
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum_t['kat']."',`text` = '[b]".$troll['login'].",[/b] ".$text_troller['text']."',`us` = '".$tr['us']."',`time` = '".time()."',`tema` = '".$forum_t['id']."',`razdel` = '".$forum_t['razdel']."'");
}
if($user['form_file'] == 1) {
$p_id = mysql_insert_id();
mysql_query("UPDATE `forum_file` SET `post_id` = '".$p_id."' WHERE `id` = '".$f_id."' LIMIT 1");
}
##добавляем юзеру стронгов и рейтинг
$settings = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));

mysql_query("UPDATE `forum_tema` SET `up` = '".time()."' WHERE `id` = '".$forum_t['id']."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$forum_p['us']."', `kto` = '".$user['id']."', `text` = 'ответил на ваш пост[url=".$HOME."/forum/tema".$forum_t['id']."?selection=top] в теме[/url]'");
header('Location: /forum/tema'.$forum_t['id'].'?selection=top');
exit();
}

echo '<div class="podmenu">Ответ для: '.nick($forum_p['us']).'</div>';

if($user['form_file'] == 1) {
    echo '<div class="podmenu">';
echo '<form action="" name="message" method="POST" enctype="multipart/form-data">';
echo 'Выберите файл:<br><input type="file" name="filename"/></div>';
} else {
echo '<form action="" name="message" method="POST">';
}
echo '<div class="podmenu">';
echo 'Текст сообщения:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');
}
echo '<textarea name="msg"></textarea><br />
<input type="submit" name="submit" value="Написать" />
</form></div>';

break;
case 'post_red':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));
$count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `forum_file` WHERE `post_id` = '".$id."'"),0);

if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['id'] != $forum_p['us'] && $user['level'] < 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/tema'.$forum_t['id'].'">Тема '.$forum_t['name'].'</a> | Редактирование поста</div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['msg']);

if(mb_strlen($text,'UTF-8') < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($text)) $err = 'Введите текст сообщения!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `forum_post` SET `text` = '".$text."' WHERE `id` = '".$id."'");
mysql_query("UPDATE `forum_post` SET `us_red` = '".$user['id']."', `time_red` = '".time()."', `chislo_red` = `chislo_red` +1 WHERE `id` = '".$id."' ");
header('Location: /forum/tema'.$forum_t['id'].'?selection=top');
exit();
}

echo '<div class="podmenu">Пост пользователя: '.nick($forum_p['us']).'</div>
<div class="podmenu"><form action="" name="message" method="POST"> 
Текст сообщения:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');
}
echo '<textarea name="msg">'.$forum_p['text'].'</textarea><br />
<input type="submit" name="submit" value="Изменить" />
</form></div>';

if($user['form_file'] == 1) {
    
if(isset($_POST['sfile'])){
    
if($count >= 5) {
echo '<div class="title"><a href="'.$HOME.'/down">Загрузки</a> | Ошибка</div><div class="podmenu"><center><b><big>Максимум можно прикреплять 5 файлов!</big></b></center></div>';
require_once ('../system/footer.php');
exit();
}

$maxsize = 25; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo err($title, 'Вы не выбрали файл!');
require_once ('../system/footer.php'); exit;
}

if($size > (1048576 * $maxsize)) {
echo err($title, 'Максимальный размер файла '.$maxsize.'мб!');
require_once ('../system/footer.php'); exit;
}

$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp', 'zip', 'rar', 'mp4','mp3','amr','3gp','avi','flv', 'jar', 'jad', 'apk', 'sis', 'sisx', 'ipa' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 

if(!in_array($upfiletype,$filetype)) {
echo err($title, 'Такой формат запрещено загружать!');
require_once ('../system/footer.php'); exit;
}


$files = $_SERVER['HTTP_HOST'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/forum/".$files.""); 
mysql_query("INSERT INTO `forum_file` SET `post_id` = '".$id."', `name_file` = '".$files."'");

header('Location: '.$HOME.'/forum/post_red'.$id.''); exit;
}

echo '<div class="podmenu"><form action="/forum/post_red'.$id.'" method="post" enctype="multipart/form-data">
Выберите файл:<br><input type="file" name="filename"/><br />
<input type="submit" value="Загрузить" name="sfile"/>
</form></div>';
}
echo '<div class="title">Файлы ['.$count.']</div>';

if($count < 1) { 
    
echo '<div class="podmenu"><b><center>Файлов нет!</center></b></div>';

} else {
    
$ff = mysql_query("SELECT * FROM `forum_file` WHERE `post_id`='".$id."'");

while($a = mysql_fetch_array($ff)){
echo '<div class="podmenu">
<a href="'.$HOME.'/files/forum/'.$a['name_file'].'">'.$a['name_file'].'</a> | 
<a href="/forum/delfile'.$id.'/'.$a['id'].'">Удалить</a></div>';
}
}
break;

case 'delfile':
$id = abs(intval($_GET['id']));
$id_file = abs(intval($_GET['id_file']));

$f_post = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));

if(!isset($f_post['id'])) {
echo err($title, 'Нет такого файла');
require_once ('../system/footer.php'); exit;
}

if($user['id'] != $f_post['us'] && $user['level'] != 3){
echo err($title, 'Нет доступа!');
require_once ('../system/footer.php'); exit;
}

$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$f_post['tema']."'"));
echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/tema'.$forum_t['id'].'">'.$forum_t['name'].'</a> | Пост №'.$id.'| Удаление файла</div>';

$fil = mysql_fetch_array(mysql_query("SELECT * FROM `forum_file` WHERE `id`='".$id_file."'"));

if(isset($_REQUEST['da'])) { 

unlink('../files/forum/'.$fil['name_file']);

mysql_query("DELETE FROM `forum_file` WHERE `id` = '".$id_file."' LIMIT 1");

header('Location: '.$HOME.'/forum/post_red'.$id); exit;

} 
echo '<div class="podmenu">Вы действительно хотите УДАЛИТЬ файл <a href="'.$HOME.'/files/forum/'.$fil['name_file'].'">'.$fil['name_file'].'</a> ? <br /><br /><a href="'.$HOME.'/forum/delfile'.$id.'/'.$id_file.'?da"><b>Да</b></a> | <a href="'.htmlspecialchars(getenv("HTTP_REFERER")).'">Отмена</a></div>';

break; ##END

##############################
############ Цитаты ##########
##############################
case 'post_citata':

$id = abs(intval($_GET['id']));
$forum_p = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_post` WHERE `id` = '".$id."'"));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$forum_p['tema']."'"));
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$forum_p['us']."'"));
$tr = mysql_fetch_assoc(mysql_query("SELECT * FROM `troller`"));
$text_troller = mysql_fetch_assoc(mysql_query("SELECT * FROM `text_troller` ORDER BY RAND() LIMIT 1"));
if($forum_p == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого поста не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($forum_t['status'] == 1) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Тема закрыта!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['id'] == $forum_p['us']) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Цитировать самого себя нельзя!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | <a href="'.$HOME.'/forum/tema'.$forum_t['id'].'">Тема '.$forum_t['name'].'</a> </div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['msg']);

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст сообщения!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text,'UTF-8') < 3) {
echo '<div class="podmenu"><center><b>Минимум для ввода 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$time = mysql_query("SELECT * FROM `forum_post` WHERE `us`='".$user['id']."' ORDER BY `time` DESC");
while($t = mysql_fetch_assoc($time)){  
$forum_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `forum_post` "));
$timeout = $t['time'];
if((time()-$timeout) < $forum_antispam['forum_post']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$forum_antispam['forum_post'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

if($user['form_file'] == 1) {
$maxsize = 25; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

if(@file_exists($_FILES['filename']['tmp_name'])) {
    
if($size > (1048576 * $maxsize)) {
echo err($title, 'Максимальный размер файла '.$maxsize.'мб!');
require_once ('../system/footer.php'); exit;
}

$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp', 'zip', 'rar', 'mp4','mp3','amr','3gp','avi','flv', 'jar', 'jad', 'apk', 'sis', 'sisx', 'ipa' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 

if(!in_array($upfiletype,$filetype)) {
echo err($title, 'Такой формат запрещено загружать!');
require_once ('../system/footer.php'); exit;
}

$files = $_SERVER['HTTP_HOST'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/forum/".$files.""); 
mysql_query("INSERT INTO `forum_file` SET `post_id` = '0', `name_file` = '".$files."'");
$f_id = mysql_insert_id();
}
}

mysql_query("INSERT INTO `forum_post` SET `citata` = '".$forum_p['text']."...',`citata_us` = '".$forum_p['us']."',`kat` = '".$forum_t['kat']."',`text` = '".$text."',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$forum_t['id']."',`razdel` = '".$forum_t['razdel']."'");
if($forum_p['us'] == $tr['us'] && $forum_t['id'] == $tr['tema_id']) {
mysql_query("INSERT INTO `forum_post` SET `citata` = '".$text."...',`citata_us` = '".$user['id']."',`kat` = '".$forum_t['kat']."',`text` = '".$text_troller['text']."',`us` = '".$tr['us']."',`time` = '".time()."',`tema` = '".$forum_t['id']."',`razdel` = '".$forum_t['razdel']."'");
}
if($user['form_file'] == 1) {
$p_id = mysql_insert_id();
mysql_query("UPDATE `forum_file` SET `post_id` = '".$p_id."' WHERE `id` = '".$f_id."' LIMIT 1");
}
##добавляем юзеру стронгов и рейтинг

mysql_query("UPDATE `forum_tema` SET `up` = '".time()."' WHERE `id` = '".$forum_t['id']."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$us['id']."', `kto` = '".$user['id']."', `text` = 'процитировал ваш пост[url=".$HOME."/forum/tema".$forum_t['id']."?selection=top] в теме[/url]'");
header('Location: /forum/tema'.$forum_t['id'].'?selection=top');
exit();
}

echo '<div class="podmenu">Цитата: <br />
<div class="cit">
<b><font color="red">'.$us['login'].'</font></b>: '.nl2br(smile(bb($forum_p['text']))).'
</div></div>';

if($user['form_file'] == 1) {
    echo '<div class="podmenu">';
echo '<form action="" name="message" method="POST" enctype="multipart/form-data">';
echo 'Выберите файл:<br><input type="file" name="filename"/></div>';
} else {

echo '<form action="" name="message" method="POST">';
}
    echo '<div class="podmenu">';
echo 'Текст сообщения:<br />';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg"></textarea><br />
<input type="submit" name="submit" value="Написать" />
</form></div>';

break;
##############################
###    Кто на форуме       ###
##############################
case 'who_forum':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Кто на форуме</div>';

$gde = '/forum';

$who = mysql_query('SELECT * FROM `users` WHERE `gde` LIKE "%'.$gde.'%" and `viz` > "'.(time()-60).'" ORDER BY `viz` DESC');
while($w = mysql_fetch_assoc($who))
{
echo '<div class="podmenu">'.nick($w['id']).' ('.vremja($w['viz']).')</div>';
}

break;
##############################
######### Кто в теме #########
##############################
case 'who_tema':

$id = abs(intval($_GET['id']));
$tema = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$gde = '/forum/tema'.$tema['id'].'';

if($tema== 0) {
echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Ошибка</div>
<div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Кто в теме</div>';

$who = mysql_query('SELECT * FROM `users` WHERE `gde` LIKE "%'.$gde.'%" and `viz` > "'.(time()-60).'" ORDER BY `viz` DESC');
while($w = mysql_fetch_assoc($who))
{
echo '<div class="podmenu">'.nick($w['id']).' ('.vremja($w['viz']).')</div>';
}

echo '<div class="links">» <a href="'.$HOME.'/forum/tema'.$tema['id'].'">Назад</a></div>';

break;
##############################
########### Мои темы #########
##############################
case 'my_tem':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Мои темы</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `us` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$tema = mysql_query("SELECT * FROM `forum_tema` WHERE `us` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($tema))
{

if($a['status'] == 0) { $icon = 'tem'; } else { $icon = 'close';}

echo '<div class="podmenu"><img src="/images/'.$icon.'.png" alt="*"> <a href="/forum/tema'.$a['id'].'">'.$a['name'].'</a> 
('.mysql_result(mysql_query('select count(`id`) from `forum_post` where `tema` = "'.$a['id'].'"'),0).') 
<a href="/forum/tema'.$a['id'].'?selection=top">>></a></div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Вы еще не создавали тем!</b></center></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/myt'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'my_post':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Мои посты</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE `us` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$post = mysql_query("SELECT * FROM `forum_post` WHERE `us` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($post))
{
echo '<div class="links">'.nick($a['us']).' ('.vremja($a['time']).')</div>
<div class="podmenu">'.nl2br(smile(bb($a['text']))).'
<br />
<a href="/forum/tema'.$a['tema'].'?selection=top">Перейти в тему</a>
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Вы еще не оставляли постов!</b></center></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/myp'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'new_tem':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Новые темы</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE `time` > '".(time()-86400)."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$tem = mysql_query("SELECT * FROM `forum_tema` WHERE `time` > '".(time()-86400)."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($tem))
{

if($a['status'] == 0) { $icon = 'tem'; } else { $icon = 'close';}

echo '<div class="podmenu"><img src="/images/'.$icon.'.png" alt="*"> <a href="/forum/tema'.$a['id'].'">'.$a['name'].' </a> ('.vremja($a['time']).') 
<a href="/forum/tema'.$a['id'].'?selection=top">>></a></div>';
}

if($k_post < 1) echo '<div class="podmenu"><b>За 24часа новых тем нету!</b></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/newt?',$k_page,$page); // Вывод страниц

break;
case 'new_post':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Новые посты</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE `time` > '".(time()-86400)."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$post = mysql_query("SELECT * FROM `forum_post` WHERE `time` > '".(time()-86400)."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($post))
{
echo '<div class="links">'.nick($a['us']).' ('.vremja($a['time']).')</div>
<div class="podmenu">
'.smile(bb($a['text'])).'
<br />
<a href="/forum/tema'.$a['tema'].'?selection=top">Перейти в тему</a>
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>За 24часа новых постов нету!</b></center></div>';
if ($k_page>1) echo str(''.$HOME.'/forum/newp'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'my_zakl':

echo '<div class="title"><a href="'.$HOME.'/forum/">Форум</a> | Мои закладки</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_zaklad` WHERE `us` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$z = mysql_query("SELECT * FROM `forum_zaklad` WHERE `us` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($z))
{

$zaklad = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$a['tema']."'"));

if($zaklad['status'] == 0) { $icon = 'tem'; } else { $icon = 'close';}

echo '<div class="podmenu">
<img src="/images/'.$icon.'.png" alt="*"> <a href="/forum/tema'.$zaklad['id'].'">'.$zaklad['name'].'</a> ('.vremja($zaklad['time']).')
<a href="/forum/tema'.$zaklad['id'].'?selection=top">>></a>
</div>
<div class="links"><a href="/forum/zaklad'.$zaklad['id'].'">Убрать из закладок</a></div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>У вас нет закладок!</center></b></div>';
if($k_page>1) echo str(''.$HOME.'/forum/zakl'.$id.'?',$k_page,$page); // Вывод страниц

break;

##############################
###### Переместить тему ######
##############################

case 'move':
$id = abs(intval($_GET['id']));

if($user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));

if($forum_r == 0) {
echo err($title, 'Такой темы не существует!');
require_once ('../system/footer.php'); exit;
}

$r2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_r['razdel']."'"));
$k2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_r['kat']."'"));

echo '<div class="title">Перемещение темы: <a href="'.$HOME.'/forum/tema'.$forum_r['id'].'">'.$forum_r['name'].'</a></div>';
echo '<div class="podmenu">Переместить тему из <b><a href="'.$HOME.'/forum/razdel'.$r2['id'].'">'.$r2['name'].'</a></b> / <b><a href="/'.$HOME.'forum/kat'.$k2['id'].'">'.$k2['name'].'</a></b> в:</div>';

$forum_r = mysql_query("SELECT * FROM `forum_razdel` ORDER BY `id` DESC");

while($a = mysql_fetch_assoc($forum_r)){
echo '<div class="podmenu"><b> '.$a['name'].'</b></div><div class="podmenu">';
$forum_k = mysql_query("SELECT * FROM `forum_kat` WHERE `razdel` = '".$a['id']."' ORDER BY `id` DESC");

while($a = mysql_fetch_assoc($forum_k)){
echo '<a href="'.$HOME.'/forum/index.php?act=move_tem&id='.$id.'&kat='.$a['id'].'&razdel='.$a['razdel'].'"> '.$a['name'].'</a><br/>';
}

echo '</div>';

}


break;

case 'move_tem':

$id = abs(intval($_GET['id']));
$razdel = abs(intval($_GET['razdel']));
$kat = abs(intval($_GET['kat']));

if($user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$razdel."'"));
$k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$kat."'"));


if($forum_r == 0) {
echo err($title, 'Такой темы не существует!');
require_once ('../system/footer.php'); exit;
}

if($r == 0) {
echo err($title, 'Такого раздела не существует!');
require_once ('../system/footer.php'); exit;
}

if($k == 0) {
echo err($title, 'Такая категория не существует!');
require_once ('../system/footer.php'); exit;
}


$r2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_r['razdel']."'"));
$k2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_r['kat']."'"));

echo '<div class="title">Перемещение темы: <a href="'.$HOME.'/forum/tema'.$forum_r['id'].'">'.$forum_r['name'].'</a></div>';


if(isset($_REQUEST['okda'])) { 
/* Делаем запрос */
mysql_query("UPDATE `forum_tema` SET `razdel` = '".$razdel."', `kat` = '".$kat."' WHERE `id` = '".$id."'");
mysql_query("UPDATE `forum_post` SET `razdel` = '".$razdel."', `kat` = '".$kat."' WHERE `tema` = '".$id."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$kat."',`text` = 'Перенес тему из [b]".$r2['name']."[/b] / [b]".$k2['name']."[/b] в [b]".$r['name']."[/b] / [b]".$k['name']."[/b] :)',`us` = '".$user['id']."',`time` = '".time()."',`tema` = '".$id."',`razdel` = '".$razdel."'");

header('Location: '.$HOME.'/forum/tema'.$id.''); exit; 
} 

echo '<div class="podmenu">Вы действительно хотите переместить тему 
из <b><a href="'.$HOME.'/forum/razdel'.$r2['id'].'">'.$r2['name'].'</a></b> / <b><a href="/'.$HOME.'forum/kat'.$k2['id'].'">'.$k2['name'].'</a></b> 
в <b><a href="'.$HOME.'/forum/razdel'.$r['id'].'">'.$r['name'].'</a></b> / <b><a href="'.$HOME.'/forum/kat'.$k['id'].'">'.$k['name'].'</a></b> 
<br /><br /><a href="'.$HOME.'/forum/index.php?act=move_tem&id='.$id.'&kat='.$kat.'&razdel='.$razdel.'&okda"><b>Да</b></a> | <a href="'.htmlspecialchars(getenv("HTTP_REFERER")).'">Отмена</a></div>'; 


break;
case 'txt':
$id = abs(intval($_GET['id']));
$forum_t = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$id."'"));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$forum_t['razdel']."'"));
$forum_k = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_kat` WHERE `id` = '".$forum_t['kat']."'"));
$forum_zaklad = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_zaklad` WHERE `tema` = '".$id."' and `us` = '".$user['id']."' "));
if($forum_t == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
ob_clean();
ob_implicit_flush();
header('Content-Type: text/plain; charset=utf-8', true);
header('Content-Disposition: attachment; filename="'.$forum_r['id'].'_'.$forum_k['id'].'_'.$forum_t['id'].'.txt";');
echo "$HOME
- - -
$forum_r[name] | $forum_k[name] | $forum_t[name]
- - -
";
$форум_ю = mysql_query("SELECT * FROM `forum_post` WHERE `tema`='".$forum_t['id']."' ORDER BY `id`");
while($форум = mysql_fetch_array($форум_ю)) {
$users = mysql_fetch_array(mysql_query('select * from `users` where `id` = "'.$форум['us'].'"'));
echo "$users[login]
$форум[text]
- - -
";
}
exit;
break;

}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>